Bug 1732142 - [RFE] Changing BlueStore OSD rocksdb_cache_size default value to 512MB for helping in compaction
Summary: [RFE] Changing BlueStore OSD rocksdb_cache_size default value to 512MB for he...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RADOS
Version: 3.2
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: 3.3
Assignee: Neha Ojha
QA Contact: Manohar Murthy
Erin Donnelly
URL:
Whiteboard:
Depends On:
Blocks: 1733598 1726135
TreeView+ depends on / blocked
 
Reported: 2019-07-22 19:18 UTC by Vikhyat Umrao
Modified: 2019-08-21 15:11 UTC (History)
9 users (show)

Fixed In Version: ceph-12.2.11
Doc Type: Enhancement
Doc Text:
.The `rocksdb_cache_size` option default is now 512 MB BlueStore OSD `rocksdb_cache_size` option default value has been changed to 512 MB to help with compaction.
Clone Of:
Environment:
Last Closed: 2019-08-21 15:11:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2538 None None None 2019-08-21 15:11:24 UTC

Description Vikhyat Umrao 2019-07-22 19:18:47 UTC
Description of problem:
[RFE] Changing BlueStore OSD rocksdb_cahce_size default value to 512MB for helping in compaction

Version-Release number of selected component (if applicable):
RHCS 3.2

Comment 1 Vikhyat Umrao 2019-07-22 19:19:14 UTC
The current default value is 128MB.

Comment 3 Vikhyat Umrao 2019-07-22 21:46:17 UTC
commit 8ff3c083ecc82345bbeb0b33d28408f9a95e5b1a
Author: Sage Weil <sage@redhat.com>
Date:   Mon Sep 24 09:21:20 2018 -0500

    rocksdb: increase default cache size to 512 MB
    
    For filestore OSDs, this is probably a good idea anyway, and is generally
    not going to be hugely impactful on the memory footprint (where users
    have been told to provide 1 GB RAM per 1 TB storage for a long time now).
    
    For bluestore OSDs, this value is meaningless as we're autotuning this
    anyway.
    
    For mons, this is a more reasonable default.
    
    Signed-off-by: Sage Weil <sage@redhat.com>
    (cherry picked from commit cbfc3ee1921f4780be6d4071e441818b1390101c)
    
    Conflicts:
            src/common/options.cc
    - trivial resolution

diff --git a/src/common/options.cc b/src/common/options.cc
index 25158e71ba..43353551e0 100644
--- a/src/common/options.cc
+++ b/src/common/options.cc
@@ -2956,7 +2956,7 @@ std::vector<Option> get_global_options() {
     .set_description(""),
 
     Option("rocksdb_cache_size", Option::TYPE_UINT, Option::LEVEL_ADVANCED)
-    .set_default(128_M)
+    .set_default(512_M)
     .set_description(""),


$ git tag --contains 8ff3c083ecc
v12.2.11
v12.2.12


git tag --contains cbfc3ee1921
v14.0.1
v14.1.0
v14.1.1
v14.2.0
v14.2.1
v14.2.2
v15.0.0

This is already part of 3.3 and 4.0 rebase.

Comment 11 Giridhar Ramaraju 2019-08-05 13:10:44 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri

Comment 12 Giridhar Ramaraju 2019-08-05 13:11:46 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri

Comment 15 errata-xmlrpc 2019-08-21 15:11:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2538


Note You need to log in before you can comment on or make changes to this bug.